# Website

## Get list of hostnames.

<mark style="color:blue;">`GET`</mark> `https://api.halosecurity.com/api/v1/website/host-list.json`

Returns a paginated list of hostnames with element counts.

Elements: Certificates, Scripts, Cookies, Forms, Links, Downloads, Traffic

<https://app.halosecurity.com/user/security/website/summary/hosts>

#### Query Parameters

| Name  | Type    | Description                                                                                                                                   |
| ----- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------- |
| host  | String  | Filter by host                                                                                                                                |
| scope | Integer | <p><code>0</code> = any (default)</p><p><code>1</code> = in-scope</p><p><code>2</code> = out-of-scope</p><p><code>3</code> = acknowledged</p> |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "list": [
        {
            "geo": "CA",
            "scope": 1,
            "ip": "0.0.0.0",
            "host": "www.example.com",
            "source": "Found via link on example.com",
            "cert": 100,
            "script": 100,
            "cookie": 100,
            "form": 100,
            "link": 100,
            "download": 100,
            "traffic": 100,
            "target_name": "",
            "target_id": 1,
            "target": "www.example.com"
        }
    ]
}
```

{% endtab %}
{% endtabs %}

## Get list of codes.

<mark style="color:blue;">`GET`</mark> `https://api.halosecurity.com/api/v1/website/code-list.json`

Returns a paginated list of codes.

<https://app.halosecurity.com/user/security/website/summary/codes>

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "list": [
        {
            "code_display": "OK",
            "code": 200,
            "count_link": 100,
            "count_script": 100,
            "count_download": 100
        }
    ]
}
```

{% endtab %}
{% endtabs %}

## Get the list of geos.

<mark style="color:blue;">`GET`</mark> `https://api.halosecurity.com/api/v1/website/geo-list.json`

Returns a paginated list of geos with element counts.

Elements: Certificates, Scripts, Cookies, Forms, Links, Downloads, Traffic

<https://app.halosecurity.com/user/security/website/summary/countries>

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "list": [
        {
            "country": "US",
            "count_cert": 100,
            "count_form": 100,
            "count_link": 100,
            "count_ip": 100,
            "count_traffic": 100,
            "count_script": 100,
            "count_cookie": 100,
            "count_download": 100
        }
    ]
}
```

{% endtab %}
{% endtabs %}

## Get the list of cookies.

<mark style="color:blue;">`GET`</mark> `https://api.halosecurity.com/api/v1/website/cookie-list.json`

Returns a paginated list of cookies.

<https://app.halosecurity.com/user/security/website/cookie/>

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "list": [
        {
            "expires": -1,
            "target_name": "",
            "monitor_state": 1,
            "target_id": 1,
            "target": "www.example.com",
            "path": "/",
            "scope": 1,
            "domain": "www.example.com",
            "name": "JSESSIONID",
            "risk": "medium",
            "scan_id": "id1",
            "risk_reason": "HTTPOnly attribute missing on TRANSIENT cookie.",
            "value": "aaasNh3lMFKeu9fuksW7x",
            "key": "id1"
        }
    ]
}
```

{% endtab %}
{% endtabs %}

## Get the list of scripts.

<mark style="color:blue;">`GET`</mark> `https://api.halosecurity.com/api/v1/website/script-list.json`

Returns a paginated list of scripts.

<https://app.halosecurity.com/user/security/website/script/>

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "list": [
        {
            "code": 200,
            "target_name": "",
            "sha256": "765618d1667ba791f2d492d121d2da42ff7d7e079a4773462a381ac9aceab0c5",
            "sha512": "38f8617a053c929a13bb34bb0cbde2897566592e95a70c5ad28bf40095ad94e5da4b119fcad12d4abe230b6ebf5c04c0c78d6fd02ec4a5025e95414fd38bc8ea",
            "content_type": "application/javascript",
            "scope": 3,
            "key": "ee1c4b22301cb31fd16ee4c737edec3e",
            "sha384": "11d592b8730aa5671072a7bfae39ed93dd1b8b9ada0aa070905d7ee5b045fe5a8d8e9b124c3d3fcf2533827ea13bcb83",
            "took": 0,
            "monitor_state": 1,
            "target_id": 1,
            "gzip": true,
            "message": "OK",
            "url": "https://assets.customer.io/assets/track.js",
            "target": "www.example.com",
            "depth": 0,
            "filename": "track.js",
            "size": 4876,
            "risk": "low",
            "location": "https://assets.customer.io/assets/track.js",
            "scan_id": "id1",
            "risk_reason": "",
            "size_header": 0,
            "md5": "15e89eedddf82c193d5c3574b756f5a7"
        }
    ]
}
```

{% endtab %}
{% endtabs %}

## Get the list of headers.

<mark style="color:blue;">`GET`</mark> `https://api.halosecurity.com/api/v1/website/header-list.json`

Returns a paginated list of headers.

<https://app.halosecurity.com/user/security/website/header/>

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "list": [
        {
            "target_name": "",
            "scope": 0,
            "name": "connection",
            "risk": "low",
            "monitor_state": 1,
            "target_id": 1,
            "scan_id": "202202060016xro22El7FlkAsXMszEMe",
            "risk_reason": "Ok",
            "value": "keep-alive",
            "key": "da9a49d1b4b876b8eebbbc0791ff8fc0",
            "target": "www.example.com"
        }
    ]
}
```

{% endtab %}
{% endtabs %}

## Get the list of forms.

<mark style="color:blue;">`GET`</mark> `https://api.halosecurity.com/api/v1/website/form-list.json`

Returns a paginated list of forms.

<https://app.halosecurity.com/user/security/website/form/>

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "list": [
        {
            "action_url": "https://www.example.com",
            "target_name": "",
            "method": "post",
            "monitor_state": 1,
            "target_id": 1,
            "target": "www.example.com",
            "scope": 1,
            "action": "/",
            "risk": "low",
            "scan_id": "id1",
            "has_email": 1,
            "key": "id1",
            "has_password": 1
        }
    ]
}
```

{% endtab %}
{% endtabs %}

## Get the list of certs.

<mark style="color:blue;">`GET`</mark> `https://api.halosecurity.com/api/v1/website/cert-list.json`

Returns a paginated list of certs.

<https://app.halosecurity.com/user/security/website/cert/>

#### Query Parameters

| Name                | Type   | Description  |
| ------------------- | ------ | ------------ |
| days\_until\_expire | String | <=30 or 0-14 |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "list": [
        {
            "issuer_cn": "Amazon",
            "target_name": "",
            "monitor_state": 1,
            "target_id": 1,
            "date_end": "0000-00-00 00:00",
            "alt_names": [
                "*.example.com",
                "example.com"
            ],
            "issuer_o": "Amazon",
            "target": "www.example.com",
            "subject_cn": "*.example.com",
            "date_start": "0000-00-00 00:00",
            "scope": 1,
            "issuer_c": "US",
            "ciphers": [
                {
                    "name": "TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA",
                    "version": "TLSv1.2"
                },
                {
                    "name": "TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256",
                    "version": "TLSv1.2"
                },
                {
                    "name": "TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256",
                    "version": "TLSv1.2"
                },
                {
                    "name": "TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA",
                    "version": "TLSv1.2"
                },
                {
                    "name": "TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384",
                    "version": "TLSv1.2"
                },
                {
                    "name": "TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384",
                    "version": "TLSv1.2"
                }
            ],
            "risk": "medium",
            "scan_id": "id1",
            "risk_reason": "Weak Cipher",
            "issuer_ou": "Server CA 1B",
            "key": "id1"
        }
    ]
}
```

{% endtab %}
{% endtabs %}

## Get a list of downloads.

<mark style="color:blue;">`GET`</mark> `https://api.halosecurity.com/api/v1/website/download-list.json`

Returns a paginated list of downloads.

<https://app.halosecurity.com/user/security/website/download/>

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "list": [
        {
            "code": 200,
            "target_name": "",
            "sha256": "0e9c2fb7f48178817d7b6ff3f2dfc1d3e461017780618d438ff04a01481f56c7",
            "sha512": "c87b0519953a194fa6d9f2a402598736b61754a5dec4283883658c3352822246e72dd9df08de36b532e6095286c12067a481bdba58652ddae4d6050c7a6c23dd",
            "content_type": "application/octet-stream",
            "scope": 1,
            "key": "9b3bc976cac6358aa42e87af74b05844",
            "sha384": "eac1ba2b60ee4a02da5d29acc36a65ed289db0ce42a92b4004ea8faa8ce848789d8ebd1634c48e84291f1fac4e2ef561",
            "took": 0,
            "monitor_state": 1,
            "target_id": 1,
            "gzip": false,
            "message": "OK",
            "url": "http://www.example.com/file.exe",
            "target": "www.example.com",
            "depth": 0,
            "filename": "",
            "size": 23,
            "risk": "medium",
            "location": "http://www.example.com",
            "scan_id": "id1",
            "risk_reason": "Not HTTPS",
            "size_header": 23,
            "md5": "9f36c1c909fa94ed5e7af41387ae3dae"
        }
    ]
}
```

{% endtab %}
{% endtabs %}

## Get a list of metadata.

<mark style="color:blue;">`GET`</mark> `https://api.halosecurity.com/api/v1/website/meta-list.json`

Returns a paginated list of meta data.

<https://app.halosecurity.com/user/security/website/meta/>

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "list": [
        {
            "target_name": "",
            "scope": 1,
            "name": "description",
            "risk": "low",
            "monitor_state": 1,
            "target_id": 1,
            "scan_id": "id1",
            "risk_reason": "Ok",
            "value": "Optimize online trust and security.",
            "key": "67daf92c833c41c95db874e18fcb2786",
            "target": "www.example.com"
        }
    ]
}
```

{% endtab %}
{% endtabs %}

## Get a list of links.

<mark style="color:blue;">`GET`</mark> `https://api.halosecurity.com/api/v1/website/link-list.json`

Returns a paginated list of links.

<https://app.halosecurity.com/user/security/website/link/>

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "list": [
        {
            "code": 200,
            "target_name": "",
            "sha256": "cffb09ff80ce4af74863187116ece26de343a50fc8ab1813a4291af0815646bc",
            "sha512": "4cfbb802a470d89afa9ab1ab017e2f6ba2291fe5c9075ec0a52329af301092560445ab9fdd6114c8964561fbe0a3ddbfd11d2952fb3a3191e7e6414ffc99f91a",
            "content_type": "text/html",
            "scope": 1,
            "key": "d7e812dfb6206b30976931258806ac16",
            "sha384": "ac5136f4ea288e95f6fb1449b7aa0cd01980e11eba91598f3ca9fb1fb2805d5952a875463838f23a72465664fd8c8234",
            "took": 0,
            "monitor_state": 1,
            "target_id": 1,
            "gzip": true,
            "message": "OK",
            "url": "https://www.example.come/default.asp",
            "target": "www.example.com",
            "depth": 0,
            "filename": "",
            "size": 29039,
            "risk": "low",
            "location": "https://www.example.com",
            "scan_id": "id1",
            "risk_reason": "",
            "size_header": 7402,
            "md5": "300ee20379656d4dcabdc79931e1bf9f"
        }
    ]
}
```

{% endtab %}
{% endtabs %}

## Get list of pages.

<mark style="color:blue;">`GET`</mark> `https://api.halosecurity.com/api/v1/website/sitemap-list.json`

Returns a paginated list of pages.

[https://app.halosecurity.com/user/security/website/sitemap/](https://app.halosecurity.com/user/security/website/sitemap/?)

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "list": [
        {
            "target_name": "",
            "size": -1,
            "scope": 1,
            "risk": "medium",
            "monitor_state": 1,
            "target_id": 1,
            "scan_id": "id1",
            "risk_reason": "Not HTTPS",
            "key": "5f85422fb89e6ce3cbcdfbd84cc8ba3d",
            "url": "http://www.example.com",
            "target": "www.example.com"
        }
    ]
}
```

{% endtab %}
{% endtabs %}

## Get list of hostnames detected by traffic.

<mark style="color:blue;">`GET`</mark> `https://api.halosecurity.com/api/v1/website/traffic-list.json`

Returns a paginated list of hostnames detected by traffic.

<https://app.halosecurity.com/user/security/website/traffic/>

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "list": [
        {
            "hits": 1,
            "target_name": "",
            "bytes": 482,
            "scope": 1,
            "host": "www.example.com",
            "risk": "none",
            "monitor_state": 1,
            "target_id": 1,
            "scan_id": "id1",
            "key": "fdf35377852f62ef4621b9320ef71338",
            "target": "www.example.com"
        }
    ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.halosecurity.com/api/endpoints/website.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
